Package be.fgov.ehealth.samcivics.schemas.v2

# Class FindPublicCNKRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.samcivics.schemas.v2.FindPublicCNKRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:16+02:00", comments="JAXB RI v4.0.5") public class FindPublicCNKRequest extends RequestType implements Serializable

Java class for FindPublicCNKRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindPublicCNKRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="CNK" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="DeliveryEnvironment" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <choice minOccurs="0">
               <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="Version" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             </choice>
           </sequence>
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindPublicCNKRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getCNK()`
  Gets the value of the cnk property.
  `String`
  `getDeliveryEnvironment()`
  Gets the value of the deliveryEnvironment property.
  `String`
  `getLang()`
  Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `BigInteger`
  `getVersion()`
  Gets the value of the version property.
  `void`
  `setCNK(long value)`
  Sets the value of the cnk property.
  `void`
  `setDeliveryEnvironment(String value)`
  Sets the value of the deliveryEnvironment property.
  `void`
  `setLang(String value)`
  Sets the value of the lang property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setVersion(BigInteger value)`
  Sets the value of the version property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindPublicCNKRequest

    public FindPublicCNKRequest()

- ## Method Details

  - ### getCNK

    public long getCNK()
    Gets the value of the cnk property.

  - ### setCNK

    public void setCNK(long value)
    Sets the value of the cnk property.

  - ### getDeliveryEnvironment

    public String getDeliveryEnvironment()
    Gets the value of the deliveryEnvironment property.
    Returns:
      possible object is `String`

  - ### setDeliveryEnvironment

    public void setDeliveryEnvironment(String value)
    Sets the value of the deliveryEnvironment property.
    Parameters:
      `value` - allowed object is `String`

  - ### getVersion

    public BigInteger getVersion()
    Gets the value of the version property.
    Returns:
      possible object is `BigInteger`

  - ### setVersion

    public void setVersion(BigInteger value)
    Sets the value of the version property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLang

    public String getLang()
    Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility. See RFC 3066 at http://www.ietf.org/rfc/rfc3066.txt and the IANA registry at http://www.iana.org/assignments/lang-tag-apps.htm for further information. The union allows for the 'un-declaration' of xml:lang with the empty string.
    Returns:
      possible object is `String`

  - ### setLang

    public void setLang(String value)
    Sets the value of the lang property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLang()`